Register Guidelines E-Books Search Today's Posts Mark Forums Read

Go Back   MobileRead Forums > E-Book Readers > Barnes & Noble NOOK > Nook Developer's Corner

Notices

Reply
 
Thread Tools Search this Thread
Old 01-08-2011, 03:59 PM   #1
maxilogan
Junior Member
maxilogan began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Jan 2011
Device: nook e-ink
Can't upgrade to nooklibrary 0.1.14 on rooted 1.5 (nookdevs 2.5.0)

I can not update to 0.1.14. Had the 1.4 softroot which updated to B&N 1.5 because I left the wifi on. Yesterday I found that the 0.1.14 version was released and it supported cover in the screensaver, which I would like a lot. I decided to root the 1.5 firmware, repeated the softroot procedure (downloaded signed 1.0, downloaded rooted nookdevs 2.5.0 and all the other things step by step, including the reboot after the first auto reboot). Once I try to upgrade the library through the market I get a "Application not installed" error, while if I try to upgrade through adb over USB I get a "INSTALL_FAILED_ALREADY_EXISTS" error, even with the "-r" option after the install command. Can't uninstall either, just get a "Failure" message..

Any hint?
maxilogan is offline   Reply With Quote
Old 01-08-2011, 05:49 PM   #2
johnchao
Member
johnchao began at the beginning.
 
Posts: 12
Karma: 12
Join Date: Dec 2009
Device: nook
It seems that those pre-loaded nookdev apps are not uninstallable. I managed to re-install apdfviewer by deleting .apk files under /system/app via adb. Probably you can give it a try?
johnchao is offline   Reply With Quote
Old 01-08-2011, 07:01 PM   #3
maxilogan
Junior Member
maxilogan began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Jan 2011
Device: nook e-ink
I'll try it and post an update. Thanks a lot for your answer!
maxilogan is offline   Reply With Quote
Old 01-08-2011, 07:53 PM   #4
maxilogan
Junior Member
maxilogan began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Jan 2011
Device: nook e-ink
yeah! it worked like a charm! THANKS A LOT!
maxilogan is offline   Reply With Quote
Old 01-09-2011, 08:06 AM   #5
sblop
Junior Member
sblop began at the beginning.
 
Posts: 6
Karma: 10
Join Date: Sep 2010
Device: Nook
Can you please describe exactly what you did?
How do I delete it from the "/system/app"

Thanks.

Edit:
I have connected my nook (2.5 from nook devs) through adb (usb). Im able to write adb shell, and it stays within the shell, even though It doesnt write anything when I use the command "devices".
I tried the command "rm -r /system/app/com.nookdevs.library"
and more simple just to uninstall "com.nookdevs.library" but nothing happens.
simply just writes rm failed for /system/app/com...., no such file or directory
what should I do diffrent?
Edit2:
I succeed.
I connected by adb over usb.
got to system/app by writing
cd System
cd app
Deleted the apk file by writing
rm nookLibrary.apk

Last edited by sblop; 01-09-2011 at 08:43 AM.
sblop is offline   Reply With Quote
Old 01-09-2011, 07:45 PM   #6
maxilogan
Junior Member
maxilogan began at the beginning.
 
Posts: 7
Karma: 10
Join Date: Jan 2011
Device: nook e-ink
Quote:
Originally Posted by sblop View Post
I succeed.
I connected by adb over usb.
got to system/app by writing
cd System
cd app
Deleted the apk file by writing
rm nookLibrary.apk
Sorry for the late reply.. yes this is the correct procedure
maxilogan is offline   Reply With Quote
Old 01-09-2011, 08:23 PM   #7
chas0039
Sceptic
chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40chas0039 is slicker than a case of WD-40
 
Posts: 572
Karma: 73436
Join Date: Jul 2010
Location: The Lake
Device: rooted Nooks, retired. JetBook Lite, Kindle 3
I found the new link. Nookdev says it is still 1.3 but it is actually 1.4. Also, anyone who could provide how to update the rooted 2.5.1 software, either through a command line or hopefully, using Android Commander would be greatly appreciated. I must be really stupid, but the multiple edits above make no sense and Android Commander doesn't work the same way with 2.5.1 as it used to.

I have given it another try using "update" and it will neither install nor update due to a certificate mismatch. I am REALLY hesitant to just delete it first unless other are sure it will install the new version after. Otherwise I am left with nothing.

I am really stuck with this as of 2.5.1.

Much thanks

Update: I just tried with Nook Notes. After deleting the old app and installing the new, the new fails to work. This makes me even more concerned about verifying that the new 1.4 Library will actually work with 2.5.2 after I delete the old 1.3 Library.

Last edited by chas0039; 01-09-2011 at 09:09 PM.
chas0039 is offline   Reply With Quote
Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search

Forum Jump

Similar Threads
Thread Thread Starter Forum Replies Last Post
Classic Nookdevs down?? firebird Barnes & Noble NOOK 11 10-02-2010 09:58 PM
Classic Nookdevs Abandoned? emt Nook Developer's Corner 3 05-14-2010 11:28 PM
Classic List of tags in NookLibrary (rooted Nook) primetime34 Nook Developer's Corner 5 03-20-2010 11:40 PM
Classic Nooklibrary 0.0.6 primetime34 Barnes & Noble NOOK 11 03-12-2010 10:46 AM
Classic New NookLibrary primetime34 Barnes & Noble NOOK 1 02-20-2010 01:34 PM


All times are GMT -4. The time now is 01:31 PM.


MobileRead.com is a privately owned, operated and funded community.